Subject: Re: FITS-Format

From: Patrick Chevalley <patrick.chevalley at sig-ge.cg>
Date: Fri, 12 Feb 1999 10:30:38 +0100

This is a multi-part message in MIME format.
--------------3D85920641F73130D46E7214
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

You can find attached here two PASCAL sample of code that I use in some of
my programs to read and write two dimension FITS image files.
This is not a general FITS library, but only simples examples and you must
add
support for the keywords you want.
I cut it from my application code and some variables or routines may be
undefined.

Patrick

Stefan Kraus wrote:

> Hello Everyone!
> I want to integrate the FITS-Format in my own Astronomy-program.
> Know anyone a URL with a PASCAL or BASIC-Sample-Source-Code for reading
> and/or writing FITS-Image-Files?
>
> Many thanks in advance...
>
> Stefan
>
> Stefan_Kraus at gmx.net

--------------3D85920641F73130D46E7214
Content-Type: application/x-unknown-content-type-DelphiUnit;
 name="fits_read.pas"
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename="fits_read.pas"

--------------3D85920641F73130D46E7214
Content-Type: application/x-unknown-content-type-DelphiUnit;
 name="fits_write.pas"
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename="fits_write.pas"

--------------3D85920641F73130D46E7214--